import unittest
import utils


class TestMatrixCreate(unittest.TestCase):
    def create_matrix(self, optimization_level):
        utils.write_perf_to_file(
            'matrix_create', optimization_level,
            utils.run_perf_test(
                ["test_harness.alc", "matrix.alc",
                 "matrix_create.alc", "primitives.alc",
                 "random.alc", "jit.alc"],
                [100],
                optimization_level))

utils.define_perf_tests(TestMatrixCreate, TestMatrixCreate.create_matrix)